org.apache.solr.internal.csv.writer

## Class CSVField

- java.lang.Object
- - org.apache.solr.internal.csv.writer.CSVField

-     public class CSVField
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSVField()`
    `CSVField(String name)`
    `CSVField(String name, int size)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFill()`
    `String` | `getName()`
    `int` | `getSize()`
    `boolean` | `overrideFill()` Does this field override fill ?
    `void` | `setFill(int fill)` Sets overrideFill to true.
    `void` | `setName(String name)` Set the name of the field
    `void` | `setSize(int size)` Set the size of the field.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CSVField

          public CSVField()

    - #### CSVField

          public CSVField(String name)

      Parameters:
        `name` - the name of the field

    - #### CSVField

          public CSVField(String name,
                          int size)

      Parameters:
        `name` - the name of the field
        `size` - the size of the field

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        the name of the field

    - #### setName

          public void setName(String name)

      Set the name of the field
      Parameters:
        `name` - the name

    - #### getSize

          public int getSize()

      Returns:
        the size of the field

    - #### setSize

          public void setSize(int size)

      Set the size of the field. The size will be ignored when fixedwidth is set to false in the CSVConfig
      Parameters:
        `size` - the size of the field.

    - #### getFill

          public int getFill()

      Returns:
        the fill pattern.

    - #### setFill

          public void setFill(int fill)

      Sets overrideFill to true.
      Parameters:
        `fill` - the file pattern

    - #### overrideFill

          public boolean overrideFill()

      Does this field override fill ?

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.